.wp-block-button.is-style-beige-color .wp-block-button__link {
	background-color: var(--wp--preset--color--eight);
	border-color: var(--wp--preset--color--eight);
	color: var(--wp--preset--color--four);
}

.wp-block-button.is-style-beige-color .wp-block-button__link:hover,
.wp-block-button.is-style-beige-color .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--four);
	border-color: var(--wp--preset--color--four);
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-text-link .wp-block-button__link {
	border: none;
	border-radius: 0;
	color: var(--wp--preset--color--four);
	padding: 0;
	min-width: auto;
	border-bottom: 1px dashed var(--wp--preset--color--eight);
	background-color: transparent;
}

.wp-block-button.is-style-text-link.white-color .wp-block-button__link {
	color: var(--wp--preset--color--one);
}

.wp-block-button.is-style-text-link.white-color .wp-block-button__link:hover,
.wp-block-button.is-style-text-link.white-color .wp-block-button__link:focus {
	border-color: var(--wp--preset--color--one);
}